UOS20桌面专业版本使用crazydiskmark

龙芯3A400的主板,安装uos20桌面专业的版本的系统,使用crazydiskmark来测试硬盘IO,结果在使用pip3安装pyqt5的时候报错。希望大神指点!!
shot-1.png
已邀请:

tangyuan - Linux user

赞同来自:

pip安装报什么错误?难道是 pip 安装报 io 错误?

tar123

赞同来自:

uos@uos-PC:~/Downloads/crazydiskmark-0.2.20$ pip3 install crazydiskmark
Collecting crazydiskmark
Using cached https://files.pythonhosted.org/packages/e3/b3/f82530248828d1d749987b86fd604c38fd9cab3ee50f59ed73257d19d051/crazydiskmark-0.2.50-py2.py3-none-any.whl
Collecting humanfriendly (from crazydiskmark)
Using cached https://files.pythonhosted.org/packages/8e/2d/2f1b0a780b8c948c06c74c8c80e68ac354da52397ba432a1c5ac1923c3af/humanfriendly-8.2-py2.py3-none-any.whl
Collecting desktop-file (from crazydiskmark)
Using cached https://files.pythonhosted.org/packages/9f/fe/320896f8ea3792d899acd7cdce82f45c9dcca3296592b282b4f65ce2d59e/desktop_file-1.2-py3-none-any.whl
Collecting coloredlogs (from crazydiskmark)
Using cached https://files.pythonhosted.org/packages/5c/2f/12747be360d6dea432e7b5dfae3419132cb008535cfe614af73b9ce2643b/coloredlogs-14.0-py2.py3-none-any.whl
Collecting PyQt5 (from crazydiskmark)
Using cached https://files.pythonhosted.org/packages/8c/90/82c62bbbadcca98e8c6fa84f1a638de1ed1c89e85368241e9cc43fcbc320/PyQt5-5.15.0.tar.gz
Installing build dependencies ... done
Getting requirements to build wheel ... done
Preparing wheel metadata ... error
ERROR: Command errored out with exit status 1:
command: /usr/local/bin/python3.8 /usr/local/lib/python3.8/site-packages/pip/_vendor/pep517/_in_process.py prepare_metadata_for_build_wheel /tmp/tmp4v76fr8d
cwd: /tmp/pip-install-smnt0fuo/PyQt5
Complete output (37 lines):
Querying qmake about your Qt installation...
/usr/bin/qmake -query
Traceback (most recent call last):
File "/usr/local/lib/python3.8/site-packages/pip/_vendor/pep517/_in_process.py", line 64, in prepare_metadata_for_build_wheel
hook = backend.prepare_metadata_for_build_wheel
AttributeError: module 'sipbuild.api' has no attribute 'prepare_metadata_for_build_wheel'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/local/lib/python3.8/site-packages/pip/_vendor/pep517/_in_process.py", line 207, in <module>
main()
File "/usr/local/lib/python3.8/site-packages/pip/_vendor/pep517/_in_process.py", line 197, in main
json_out['return_val'] = hook(**hook_input['kwargs'])
File "/usr/local/lib/python3.8/site-packages/pip/_vendor/pep517/_in_process.py", line 66, in prepare_metadata_for_build_wheel
return _get_wheel_metadata_from_wheel(backend, metadata_directory,
File "/usr/local/lib/python3.8/site-packages/pip/_vendor/pep517/_in_process.py", line 95, in _get_wheel_metadata_from_wheel
whl_basename = backend.build_wheel(metadata_directory, config_settings)
File "/tmp/pip-build-env-ks4qwan9/overlay/lib/python3.8/site-packages/sipbuild/api.py", line 51, in build_wheel
project = AbstractProject.bootstrap('pep517')
File "/tmp/pip-build-env-ks4qwan9/overlay/lib/python3.8/site-packages/sipbuild/abstract_project.py", line 82, in bootstrap
project.setup(pyproject, tool, tool_description)
File "/tmp/pip-build-env-ks4qwan9/overlay/lib/python3.8/site-packages/sipbuild/project.py", line 477, in setup
self.apply_user_defaults(tool)
File "project.py", line 62, in apply_user_defaults
super().apply_user_defaults(tool)
File "/tmp/pip-build-env-ks4qwan9/overlay/lib/python3.8/site-packages/pyqtbuild/project.py", line 86, in apply_user_defaults
super().apply_user_defaults(tool)
File "/tmp/pip-build-env-ks4qwan9/overlay/lib/python3.8/site-packages/sipbuild/project.py", line 223, in apply_user_defaults
self.builder.apply_user_defaults(tool)
File "/tmp/pip-build-env-ks4qwan9/overlay/lib/python3.8/site-packages/pyqtbuild/builder.py", line 76, in apply_user_defaults
self._get_qt_configuration()
File "/tmp/pip-build-env-ks4qwan9/overlay/lib/python3.8/site-packages/pyqtbuild/builder.py", line 413, in _get_qt_configuration
for line in project.read_command_pipe([self.qmake, '-query']):
File "/tmp/pip-build-env-ks4qwan9/overlay/lib/python3.8/site-packages/sipbuild/project.py", line 440, in read_command_pipe
raise UserException(
sipbuild.exceptions.UserException
----------------------------------------
ERROR: Command errored out with exit status 1: /usr/local/bin/python3.8 /usr/local/lib/python3.8/site-packages/pip/_vendor/pep517/_in_process.py prepare_metadata_for_build_wheel /tmp/tmp4v76fr8d Check the logs for full command output.
上面是报错信息

tangyuan - Linux user

赞同来自:

pip版本太低导致,可以把pip升级后再试下

cyberhero

赞同来自:

可能pip裡的pyqt5不適合,優先用apt裡的。
好象是sudo apt install python3-pyqt5或者類似,
裝成功後試一下python3
import PyQt5
沒有報錯再進行安裝crazycrystalmark

cyberhero

赞同来自:

3a3000 fedora上試了,可以看到圖形界面,但是測試就崩潰
sudo python3 bin/crazydiskmark2020-08-29 14:15:14 localhost.localdomain __main__[14411] INFO Starting...
QStandardPaths: XDG_RUNTIME_DIR not set, defaulting to '/tmp/runtime-root'
QStandardPaths: XDG_RUNTIME_DIR not set, defaulting to '/tmp/runtime-root'
2020-08-29 14:15:15 localhost.localdomain crazydiskmark[14411] INFO Desktop entry not exists [creating]
2020-08-29 14:15:15 localhost.localdomain crazydiskmark[14411] INFO desktop Dir: /root/.local/share/applications
2020-08-29 14:15:22 localhost.localdomain crazydiskmark[14411] INFO Verify if dir /root is writable...
2020-08-29 14:15:22 localhost.localdomain crazydiskmark[14411] INFO /root is writable.
2020-08-29 14:15:22 localhost.localdomain crazydiskmark[14411] INFO Starting benchmark...
2020-08-29 14:15:22 localhost.localdomain crazydiskmark[14411] INFO Directory writable. OK [Starting Thread]
2020-08-29 14:15:22 localhost.localdomain crazydiskmark[14411] INFO Running Thread [0] Even? True
2020-08-29 14:15:22 localhost.localdomain crazydiskmark[14411] INFO Running [/usr/local/lib/python3.6/site-packages/crazydiskmark-0.2.50-py3.6.egg/crazydiskmark/scripts/seq1mq8t1read.sh /root]
Traceback (most recent call last):
  File "/usr/local/lib/python3.6/site-packages/crazydiskmark-0.2.50-py3.6.egg/crazydiskmark/__init__.py", line 84, in run
    output = json.loads(subprocess.getoutput(cmd).encode('utf-8'))
  File "/usr/lib64/python3.6/json/__init__.py", line 354, in loads
    return _default_decoder.decode(s)
  File "/usr/lib64/python3.6/json/decoder.py", line 339, in decode
    obj, end = self.raw_decode(s, idx=_w(s, 0).end())
  File "/usr/lib64/python3.6/json/decoder.py", line 357, in raw_decode
    raise JSONDecodeError("Expecting value", s, err.value) from None
json.decoder.JSONDecodeError: Expecting value: line 1 column 1 (char 0)
--- Logging error ---
Traceback (most recent call last):
  File "/usr/lib64/python3.6/logging/__init__.py", line 992, in emit
    msg = self.format(record)
  File "/usr/lib64/python3.6/logging/__init__.py", line 838, in format
    return fmt.format(record)
  File "/usr/local/lib/python3.6/site-packages/coloredlogs-14.0-py3.6.egg/coloredlogs/__init__.py", line 1115, in format
    return logging.Formatter.format(self, record)
  File "/usr/lib64/python3.6/logging/__init__.py", line 575, in format
    record.message = record.getMessage()
  File "/usr/lib64/python3.6/logging/__init__.py", line 338, in getMessage
    msg = msg % self.args
TypeError: not all arguments converted during string formatting
Call stack:
  File "bin/crazydiskmark", line 16, in <module>
    app.exec_()
  File "/usr/local/lib/python3.6/site-packages/crazydiskmark-0.2.50-py3.6.egg/crazydiskmark/__init__.py", line 62, in threadFinished
    self.signal.emit(self.bw_bytes)
  File "/usr/local/lib/python3.6/site-packages/crazydiskmark-0.2.50-py3.6.egg/crazydiskmark/__init__.py", line 177, in receiveThreadfinish
    self.logger.info('Receiving signal ok ', val)
Message: 'Receiving signal ok '
Arguments: ('',)
2020-08-29 14:15:22 localhost.localdomain crazydiskmark[14411] INFO Finished QThread operationIndex = 0
2020-08-29 14:15:22 localhost.localdomain crazydiskmark[14411] INFO Running Thread [1] Even? False
2020-08-29 14:15:22 localhost.localdomain crazydiskmark[14411] INFO Running [/usr/local/lib/python3.6/site-packages/crazydiskmark-0.2.50-py3.6.egg/crazydiskmark/scripts/seq1mq8t1write.sh /root]
Traceback (most recent call last):
  File "/usr/local/lib/python3.6/site-packages/crazydiskmark-0.2.50-py3.6.egg/crazydiskmark/__init__.py", line 84, in run
    output = json.loads(subprocess.getoutput(cmd).encode('utf-8'))
  File "/usr/lib64/python3.6/json/__init__.py", line 354, in loads
    return _default_decoder.decode(s)
  File "/usr/lib64/python3.6/json/decoder.py", line 339, in decode
    obj, end = self.raw_decode(s, idx=_w(s, 0).end())
  File "/usr/lib64/python3.6/json/decoder.py", line 357, in raw_decode
    raise JSONDecodeError("Expecting value", s, err.value) from None
json.decoder.JSONDecodeError: Expecting value: line 1 column 1 (char 0)
Aborted

 

cyberhero

赞同来自:

3a3000 fedora28, uos類似
sudo yum install python3-qt5 libaio libaio-devel
安裝完libaio才能編譯fio。
git clone https://github.com/axboe/fio.git
./configure --disable-optimizations
make -j4
sudo make install
git clone https://github.com/fredcox/crazydiskmark.git
修改setup.py 把pyqt5注釋掉
nano setup.py
python3 setup.py install --user
python3 ~/.local/bin/crazydiskmark

Screenshot_20200829_175707.png

 p, li { white-space: pre-wrap; }

要回复问题请先登录注册